<?php
/**
 * Tables data source for DW Anything module.
 *
 * Lists WordPress database table names.
 * 
 * @category   Custom
 * @package    DWAnything
 * @author     Ilya Vikharev {@link http://factory.docwriter.ru}
 * @copyright  2017 DocWriter.Ru
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version    4.00.0001.1
 * @link       http://factory.docwriter.ru
 * @since      File available since Release 4.00
 */

//--No direct access
defined('ABSPATH') or die('Direct access to this location is not allowed.');

class DWAnythingDataSourceTable {
    
    public function getData () {
        
        global $wpdb;
        
        $result = $wpdb->tables();
        
        return $result;
    }
}