<?php
/**
 * User data source for DW Anything module
 * 
 * @category   Custom
 * @package    DWAnything
 * @author     Ilya Vikharev {@link http://factory.docwriter.ru}
 * @copyright  2009-2017 DocWriter.Ru
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version    4.00.0002.1
 * @link       http://factory.docwriter.ru
 * @since      File available since Release 1.00
 */

//--No direct access
defined('ABSPATH') or die('Direct access to this location is not allowed.');

class DWAnythingDataSourceUser {
    
    public function getData () {
        
        $result = get_object_vars(wp_get_current_user()->data);
        unset($result['user_pass']); // We do not return password for the sake of security
        
        return $result;
    }
}